Go to the first, previous, next, last section, table of contents.

### `newbytearray`

`newbytearray(len,[listorstring])`
  :: Creates a new byte array.

return
  byte array
len
  non-negative integer
listorstring
  list or string

- This function generates a byte array. The specification is similar to that of `newvect`.
- The initial value can be specified by a character string.
- One can access elements of a byte array just as an array.

    [182] A=newbytearray(3);
    |00 00 00|
    [183] A=newbytearray(3,[1,2,3]);
    |01 02 03|
    [184] A=newbytearray(3,"abc");
    |61 62 63|
    [185] A[0];
    97
    [186] A[1]=123;
    123
    [187] A;
    |61 7b 63|

`References`
  section `newvect`, `vector`, `vect`.

Go to the first, previous, next, last section, table of contents.